<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@0008=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@0025=07</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mw@8D72</action>
      <action>temp1 =maincpu.mw@8F83</action>
      <action>temp2 =maincpu.mb@921F</action>
    </script>
    <script state="run">
      <action>maincpu.mw@8D72=CED0</action> <!-- Last Base -->
      <action>maincpu.mw@8F83=0A90</action> <!-- Bullets -->
      <action>maincpu.mb@921F=60</action> <!-- Tank Collisions -->
    </script>
    <script state="off">
      <action>maincpu.mw@8D72=temp0 </action>
      <action>maincpu.mw@8F83=temp1 </action>
      <action>maincpu.mb@921F=temp2 </action>
    </script>
  </cheat>

  <cheat desc="Autofire">
    <script state="on">
      <action>temp0 =maincpu.mb@96D6</action>
    </script>
    <script state="run">
      <action>maincpu.mb@96D6=00</action>
    </script>
    <script state="off">
      <action>maincpu.mb@96D6=temp0 </action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
